Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004289 [JEDI VCL] 00 JVCL Components minor always 2007-11-06 07:31 2007-12-16 12:54
Reporter dejoy View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004289: Donate JvJCLUtils and JvJVCLUtils (Add some useful rect functions)
Description I'm dejoy. Added some useful functions for jvjvclutils.

JvJCLUtils
  add function EmptyRect: TRect;
  
JvJVCLUtils
  added:
  function RectClientToScreen; // not equal to TControl.ClientToParent
  function RectScreenToClient;
  function MapControlRect;
  function MapControlPoint;
  function GetControlRect;
  function GetControlScreenRect;// not equal to TControl.ClientRect

  function GetTopOwner;
  function GetTopForm;


Additional Information
Tags No tags attached.
Attached Files rar file icon JvJCLUtils_JvJVCLUtils.rar [^] (80,986 bytes) 2007-11-06 07:31
rar file icon JvJCLUtils_JvJVCLUtils_New.rar [^] (80,988 bytes) 2007-11-10 17:00
rar file icon JvJCLUtils_JvJCLUtils_On_SVN2007-11-20.rar [^] (81,261 bytes) 2007-11-20 06:12

- Relationships

-  Notes
(0014025)
dejoy (reporter)
2007-11-10 17:02

JvJCLUtils_JvJVCLUtils_New.rar is correction.
(0014032)
dejoy (reporter)
2007-11-20 06:13

Re Upload on SVN Daily 2007-11-20.
(0014066)
AHUser (developer)
2007-12-16 12:54

Added to SVN.

- Issue History
Date Modified Username Field Change
2007-11-06 07:31 dejoy New Issue
2007-11-06 07:31 dejoy File Added: JvJCLUtils_JvJVCLUtils.rar
2007-11-10 17:00 dejoy File Added: JvJCLUtils_JvJVCLUtils_New.rar
2007-11-10 17:02 dejoy Note Added: 0014025
2007-11-20 06:12 dejoy File Added: JvJCLUtils_JvJCLUtils_On_SVN2007-11-20.rar
2007-11-20 06:13 dejoy Note Added: 0014032
2007-12-16 12:54 AHUser Status new => resolved
2007-12-16 12:54 AHUser Fixed in Version => Daily / SVN
2007-12-16 12:54 AHUser Resolution open => fixed
2007-12-16 12:54 AHUser Assigned To => AHUser
2007-12-16 12:54 AHUser Note Added: 0014066


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker